/** Modular D Engine
 *
 * This module contains main().
 */
module mde.mde;

// External library imports
import tango.io.Stdout;

// Package imports
import mde.init;
import test = mde.test;

import mde.input.input;

import mde.mergetag.read;

int main()
{
    scope init = new Init();	// initialisation
    
    Reader MTread;
    try {
        MTread = new Reader ("test.mtt", null, true);
        static DataSection dataPrinter (ID id) {	return new test.DataPrinter (id);	}
        MTread.dataSecCreator = &dataPrinter;
        MTread.read();
    } catch (Exception e) {
        Stdout (e.msg).newline;
    }
    //Stdout ("Data read from file:").newline;
    //test.printDataSet (MTread.dataset);
    return 0;
    
    // cleanup handled by init's DTOR
}
