/// Contains some functions for testing stuff.
module mde.test;

import mde.mergetag.dataset;
import mde.text.parse;

import tango.io.Stdout;

/// Prints $(I some) of the dataset.
void printDataSet (DataSet ds) {
    foreach (ID sec_id, DefaultData dd; ds.getSections!(DefaultData)()) {
        Stdout ("Section:  ")(cast(uint) sec_id).newline;
        foreach (ID i, int x; dd._int) {
            Stdout (cast(uint) i)('\t')(x).newline;
        }
        foreach (ID i, int[] x; dd._intA) {
            Stdout (cast(uint) i);
            foreach (int y; x)
                Stdout ('\t')(y);
            Stdout.newline;
        }
        foreach (ID i, ubyte[] x; dd._binary) {
            Stdout (cast(uint) i);
            foreach (ubyte y; x)
                Stdout ('\t')(y);
            Stdout.newline;
        }
        foreach (ID i, char x; dd._char) {
            Stdout (cast(uint) i)('\t')(x).newline;
        }
        foreach (ID i, char[] x; dd._string) {
            Stdout (cast(uint) i)('\t')(x).newline;
        }
    }
}

class DataPrinter : DataSection
{
    this (ID id) {
        Stdout ("New section (")(id)(").").newline;
    }
    void addTag (TypeInfo ti, ID id, char[] dt) {
        Stdout ("\tData item (")(id)("):\t")(ti)("\t")(dt).newline;
    }
}
